class OrientedGraph {   /*

        vytvoříme tento graf

           V0 - - - - -> V3 - - - - ->  V7
           | \       _ _ /               |
           |  \ _ _ /                    v
           |       |  - - - - - - - - - V4
           v       v
           V1 ---> V2 < ---- V5 < - - - v6
         */

        /*

        matice pro něj vypadá takto

           V0   V1   V2   V3   V4   V5   V6   V7
        V0  0    1    1    1    0    0    0    0
        V1  0    0    1    0    0    0    0    0
        V2  0    0    0    0    0    0    0    0
        V3  0    0    1    0    0    0    0    1
        V4  0    0    1    0    0    0    0    0
        V5  0    0    1    0    0    0    0    0
        V6  0    0    0    0    0    1    0    0
        V7  0    0    0    0    1    0    0    0


        všímněme si, že graf je asymetrický.

        */

    //  každý vrchol, který bude v matici jako v[i,i] = 0, není žádna hrana, která začíná i končí v tom
    //  samém vrcholu

    // Mame 8 vrcholu
    private static int[][] orientedGraph = new int[8][8];

    private static void setorientedGraph() {

        //nastavime graf na 0 pro každý uzel
        for(int i = 0; i < orientedGraph.length; i++){
            for(int j = 0; j < orientedGraph[i].length; j++){
                orientedGraph[i][j] = 0;
            }
        }

/*
            V0   V1   V2   V3   V4   V5   V6   V7
        V0  0    1    1    1    0    0    0    0
        V1  0    0    1    0    0    0    0    0
        V2  0    0    0    0    0    0    0    0
        V3  0    0    1    0    0    0    0    1
        V4  0    0    1    0    0    0    0    0
        V5  0    0    1    0    0    0    0    0
        V6  0    0    0    0    0    1    0    0
        V7  0    0    0    0    1    0    0    0


*/

        orientedGraph[0][1] = 1; orientedGraph[0][2] = 1; orientedGraph[0][3] = 1;
        orientedGraph[1][2] = 1;

        orientedGraph[3][2] = 1; orientedGraph[3][7] = 1;
        orientedGraph[4][2] = 1;
        orientedGraph[5][2] = 1;
        orientedGraph[6][5] = 1;
        orientedGraph[7][4] = 1;

    }



    static void print0rientedGraph(){

        setorientedGraph();
        for(int i = 0; i < orientedGraph.length; i++) {
            for (int j = 0; j < orientedGraph[i].length; j++) {
                System.out.print("  " + orientedGraph[i][j]);
            }
            System.out.print("\n");
        }

    }

}
