class UnorientedGraph {

        /*
        vytvoříme tento graf

           V0 - - V3- - - V7
           | \   /         |
           |  V2 - - - - - V4
           | /  \
           V1     V5 - - - v6
         */

        /*

        matice pro něj vypadá takto

           V0   V1   V2   V3   V4   V5   V6   V7
        V0  0    1    1    1    0    0    0    0
        V1  1    0    1    0    0    0    0    0
        V2  1    1    0    1    1    1    0    0
        V3  1    0    1    0    0    0    0    1
        V4  0    0    1    0    0    0    0    1
        V5  0    0    1    0    0    0    1    0
        V6  0    0    0    0    0    1    0    0
        V7  0    0    0    1    1    0    0    0


        všímněme si, že graf je symetrický. Až budeme dělat orientovaný graf, bude tato matice nesymetrická

        */

        //  každý vrchol, který bude v matici jako v[i,i] = 0, není žádna hrana, která začíná i končí v tom
        //  samém vrcholu

      // Mame 8 vrcholu
    private static int[][] unorientedGraph = new int[8][8];

    private static void setunorientedGraph() {

        //nastavime graf na 0 pro každý uzel
        for(int i = 0; i < unorientedGraph.length; i++){
            for(int j = 0; j < unorientedGraph[i].length; j++){
                unorientedGraph[i][j] = 0;
            }
        }

/*
            V0   V1   V2   V3   V4   V5   V6   V7
        V0  0    1    1    1    0    0    0    0
        V1  1    0    1    0    0    0    0    0
        V2  1    1    0    1    1    1    0    0
        V3  1    0    1    0    0    0    0    1
        V4  0    0    1    0    0    0    0    1
        V5  0    0    1    0    0    0    1    0
        V6  0    0    0    0    0    1    0    0
        V7  0    0    0    1    1    0    0    0
*/




        unorientedGraph [0][1] = 1; unorientedGraph [0][2] = 1; unorientedGraph [0][3] = 1;
        unorientedGraph [1][0] = 1; unorientedGraph [1][2] = 1;
        unorientedGraph [2][0] = 1; unorientedGraph [2][1] = 1; unorientedGraph [2][3] = 1; unorientedGraph [2][4] = 1; unorientedGraph [2][5] = 1;
        unorientedGraph [3][0] = 1; unorientedGraph [3][2] = 1; unorientedGraph [3][7] = 1;
        unorientedGraph [4][2] = 1; unorientedGraph [4][7] = 1;
        unorientedGraph [5][2] = 1; unorientedGraph [5][6] = 1;
        unorientedGraph [6][5] = 1;
        unorientedGraph [7][3] = 1; unorientedGraph [7][4] = 1;

        }



    static void printUnorientedGraph(){

        setunorientedGraph();
     for(int i = 0; i < unorientedGraph.length; i++) {
         for (int j = 0; j < unorientedGraph[i].length; j++) {
             System.out.print("  " + unorientedGraph[i][j]);
         }
         System.out.print("\n");
     }

    }

}
