class UnorientedValuatedGraph {

        /*
        vytvoříme tento graf

                8          17
           V0 - - - V3-  - - - - - V7
           | \ 5   / 2             | 9
         12|  \   /          4     |
           |   V2 - - - - - - - - V4
           |  /  \ 4
           | /7   \
           V1      V5  - - - - - - v6
                          1
                                      */
        /*

        matice pro něj vypadá takto

           V0   V1   V2   V3   V4   V5   V6   V7
        V0  0   12    5    8    0    0    0    0
        V1  12   0    7    0    0    0    0    0
        V2  5    7    0    2    4    4    0    0
        V3  8    0    2    0    0    0    0   17
        V4  0    0    4    0    0    0    0    9
        V5  0    0    4    0    0    0    1    0
        V6  0    0    0    0    0    1    0    0
        V7  0    0    0   37    9    0    0    0


        všímněme si, že graf je symetrický. Až budeme dělat orientovaný graf, bude tato matice nesymetrická

        */

        //  každý vrchol, který bude v matici jako v[i,i] = 0, není žádna hrana, která začíná i končí v tom
        //  samém vrcholu

        // Mame 8 vrcholu
        private static int[][] unorientedValuatedGraph = new int[8][8];

        private static void setunorientedGraph() {

            //nastavime graf na 0 pro každý uzel
            for(int i = 0; i < unorientedValuatedGraph.length; i++){
                for(int j = 0; j < unorientedValuatedGraph[i].length; j++){
                    unorientedValuatedGraph[i][j] = 0;
                }
            }

/*

           V0   V1   V2   V3   V4   V5   V6   V7
        V0  0   12    5    8    0    0    0    0
        V1  12   0    7    0    0    0    0    0
        V2  5    7    0    2    4    4    0    0
        V3  8    0    2    0    0    0    0   17
        V4  0    0    4    0    0    0    0    9
        V5  0    0    4    0    0    0    1    0
        V6  0    0    0    0    0    1    0    0
        V7  0    0    0   37    9    0    0    0
*/




            unorientedValuatedGraph[0][1] = 12; unorientedValuatedGraph[0][2] = 5;  unorientedValuatedGraph[0][3] = 8;
            unorientedValuatedGraph[1][0] = 12; unorientedValuatedGraph[1][2] = 7;
            unorientedValuatedGraph[2][0] = 5;  unorientedValuatedGraph[2][1] = 7;  unorientedValuatedGraph[2][3] = 2; unorientedValuatedGraph[2][4] = 4; unorientedValuatedGraph[2][5] = 4;
            unorientedValuatedGraph[3][0] = 8;  unorientedValuatedGraph[3][2] = 2;  unorientedValuatedGraph[3][7] = 17;
            unorientedValuatedGraph[4][2] = 4;  unorientedValuatedGraph[4][7] = 9;
            unorientedValuatedGraph[5][2] = 4;  unorientedValuatedGraph[5][6] = 1;
            unorientedValuatedGraph[6][5] = 1;
            unorientedValuatedGraph[7][3] = 17; unorientedValuatedGraph[7][4] = 9;

        }



        static void printUnorientedValuatedGraph(){

            setunorientedGraph();
            for(int i = 0; i < unorientedValuatedGraph.length; i++) {
                for (int j = 0; j < unorientedValuatedGraph[i].length; j++) {
                    if (unorientedValuatedGraph[i][j] < 10)
                    System.out.print(" " + unorientedValuatedGraph[i][j] + " ");
                    else
                    System.out.print(" " + unorientedValuatedGraph[i][j]);
                }
                System.out.print("\n");
            }

        }

    }
